<script setup lang="ts">
import { ref } from 'vue'
import { useUserStore } from '@/stores/user';
import DialogAddUser from './DialogAddUser.vue';
const usersStore = useUserStore()
const  headers =[
          { key: 'id', title: 'Id' },
          { key: 'email', title: 'Email' },
          { key: 'fullname', title: 'Full Name' },
          { key: 'gender', title: 'Gender' },
          { key: 'role', title: 'Role' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
    const search = ref('')
</script>

<template>
    <v-row no-gutters>
              <v-col cols="12" md="5" >
                  <v-text-field
                  v-model="search"
                  density="compact"
                  variant="solo"
                  label="Search User"
                  append-inner-icon="mdi-magnify"
                  single-line
                  hide-details
                 
                  style="width: 200px;"
                  >
                  </v-text-field>
              </v-col>
              <v-col cols="12" md="5" style="padding-top: 0px; "  >
              <div><v-btn prepend-icon="mdi-plus" style="margin-left: 550px;" @click="usersStore.openDialog">User Add</v-btn></div>  
              </v-col>
          </v-row>
      <v-data-table 
              :headers="headers"
              :items="usersStore.users"
              :search="search"
              :items-per-page="8"
              >
  
              <template v-slot:[`item.actions`]="{ item }">
        <v-icon
          size="small"
          class="me-2"
          @click="usersStore.editItem(item)"
        >
          mdi-pencil
        </v-icon>
        <v-icon
          size="small"
          @click="usersStore.deleteItem(item)"
        >
          mdi-delete
        </v-icon>
      </template>
  </v-data-table>
  <DialogAddUser/>
  <v-dialog v-model="usersStore.dialogDelete" max-width="500px">
           <v-card>
            <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
            <v-card-actions>
              <v-spacer></v-spacer>
              <v-btn color="blue-darken-1" variant="text" @click="usersStore.closeDelete">Cancel</v-btn>
              <v-btn color="blue-darken-1" variant="text" @click="usersStore.deleteItemConfirm">OK</v-btn>
              <v-spacer></v-spacer>
            </v-card-actions>
          </v-card>
        </v-dialog>
  </template>
